summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'games-mud/crystal/crystal-0.2.4.ebuild')
-rw-r--r--games-mud/crystal/crystal-0.2.4.ebuild41
1 files changed, 41 insertions, 0 deletions
diff --git a/games-mud/crystal/crystal-0.2.4.ebuild b/games-mud/crystal/crystal-0.2.4.ebuild
new file mode 100644
index 00000000000..8d7b34c0d46
--- /dev/null
+++ b/games-mud/crystal/crystal-0.2.4.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools eutils games
+
+DESCRIPTION="The crystal MUD client"
+HOMEPAGE="http://www.evilmagic.org/crystal/"
+SRC_URI="http://www.evilmagic.org/dist/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE=""
+
+RDEPEND="sys-libs/zlib
+ sys-libs/ncurses
+ dev-libs/openssl
+ virtual/libiconv"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ epatch \
+ "${FILESDIR}"/${P}-gcc43.patch \
+ "${FILESDIR}"/${P}-build.patch
+ # avoid colliding with xscreensaver (bug #281191)
+ mv crystal.6 crystal-mud.6 || die
+ mv configure.in configure.ac || die
+ eautoreconf
+}
+
+src_configure() {
+ egamesconf --disable-scripting
+}
+
+src_install() {
+ default
+ prepgamesdirs
+}